# Poco::Data

# class BLOBInputStream

Library: Data
Package: DataCore
Header: Poco/Data/BLOBStream.h

## Description

An input stream for reading from a BLOB.

## Inheritance

Direct Base Classes: BLOBIOS, std::istream

All Base Classes: BLOBIOS, std::ios, std::istream

## Member Summary

Inherited Functions: rdbuf

## Constructors

### BLOBInputStream

BLOBInputStream(
BLOB & blob
);

Creates the BLOBInputStream with the given BLOB.

## Destructor

### ~BLOBInputStream

~BLOBInputStream();

Destroys the BLOBInputStream.